import { SimpleLocalIntegration } from '../../core/index.js';
import { BboxConfigFlow } from './bbox.classes.configflow.js';
import { createBboxDiscoveryDescriptor } from './bbox.discovery.js';
import type { IBboxConfig } from './bbox.types.js';
import { bboxDomain, bboxProfile } from './bbox.types.js';

export class BboxIntegration extends SimpleLocalIntegration<IBboxConfig> {
  public readonly domain = bboxDomain;
  public readonly discoveryDescriptor = createBboxDiscoveryDescriptor();
  public readonly configFlow = new BboxConfigFlow();

  constructor() {
    super(bboxProfile);
  }
}

export class HomeAssistantBboxIntegration extends BboxIntegration {}
